import React from 'react'
import { Card, Avatar } from 'antd'
import { Link  } from 'umi';

export default (props) => {
  const style= {
    color: '#fff',
    background: props.color,
    height: props.height || '120px'
  }

  return (
    <Link to={props.link}>
      <Card style={style}>
        <Card.Meta
          avatar={props.icon}
          title={props.title}
          description={props.description}
        />
      </Card>
    </Link>
  )
}
